# Import file "Workflow - Importing from Sketch - Artboards"
sketch = Framer.Importer.load("imported/Workflow - Importing from Sketch - Artboards@2x", scale: 1)


# Wrapping the App_Icons_1 group (now layer) in a Page Component
pageComp = PageComponent.wrap sketch.App_Icons_1

# Disabling vertical scrolling
pageComp.scrollVertical = no

# Adding the second artboard as a page
pageComp.addPage sketch.Home_2



# Adding page indicators
allIndicators = []

for i in [0..1]
	indicator = new Layer 
		size: 14, borderRadius: "50%"
		backgroundColor: "White"
		x: 347 + (32 * i), y: 1110
		opacity: .5
	
	indicator.states.active =
		opacity: 1
		scale: 1.1
	indicator.animationOptions = time: 0.5
	
	# Store indicator in array
	allIndicators.push indicator

# Set indicator for the first page
allIndicators[0].animate "active"

# Update indicators
pageComp.on "change:currentPage", ->
	indicator.animate "default" for indicator in allIndicators
	
	current = pageComp.horizontalPageIndex pageComp.currentPage
	allIndicators[current].animate "active"
